Package org.codehaus.janino

# Interface CodeContext.FixUp

Enclosing class:
  `CodeContext`

public static interface CodeContext.FixUp
A throw-in interface that marks `CodeContext.Offset`s as "fix-ups": During the execution of `CodeContext.fixUp()`, all "fix-ups" are invoked and can do last touches to the code attribute.

This is currently used for inserting the "padding bytes" into the TABLESWITCH and LOOKUPSWITCH instructions.

## Method Summary

Modifier and Type
Method
Description
`void`
`fixUp()`

## Method Details

### fixUp

void fixUp()

See Also:
  - `CodeContext.FixUp`